Bug 1172506 - (CVE-2020-13777) VUL-0: CVE-2020-13777: gnutls: session resumption works without master key allowing MITM
(CVE-2020-13777)
VUL-0: CVE-2020-13777: gnutls: session resumption works without master key al...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P1 - Urgent : Critical
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/260689/
CVSSv3.1:SUSE:CVE-2020-13777:7.4:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-04 09:18 UTC by Wolfgang Frisch
Modified: 2021-07-27 12:36 UTC (History)
6 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2020-06-04 09:18:42 UTC
CVE-2020-13777

GnuTLS servers are able to use tickets issued by each other without access to the secret key as generated by gnutls_session_ticket_key_generate(). In TLS 1.3 this allows a MITM server without valid credentials to resume sessions with a client that first established an initial connection with a server with valid credentials. In TLS 1.2, it may allow attackers to recover the previous conversations.

References:
https://gitlab.com/gnutls/gnutls/-/issues/1011
https://bugzilla.redhat.com/show_bug.cgi?id=1843723
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-13777
Comment 4 Vítězslav Čížek 2020-06-09 07:55:31 UTC
Fixed packages have been submitted.
Comment 6 Swamp Workflow Management 2020-06-09 22:13:42 UTC
SUSE-SU-2020:1584-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1172461,1172506
CVE References: CVE-2020-13777
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    gnutls-3.6.7-6.29.1
SUSE Linux Enterprise Server 15-LTSS (src):    gnutls-3.6.7-6.29.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    gnutls-3.6.7-6.29.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    gnutls-3.6.7-6.29.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    gnutls-3.6.7-6.29.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    gnutls-3.6.7-6.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-06-10 20:46:15 UTC
openSUSE-SU-2020:0790-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1172461,1172506
CVE References: CVE-2020-13777
Sources used:
openSUSE Leap 15.1 (src):    gnutls-3.6.7-lp151.2.18.1
Comment 8 Alexandros Toptsoglou 2020-06-30 07:30:23 UTC
Done